package cn.qg.qaplatform.service.zdata.vcc;

import cn.qg.qaplatform.entity.zdata.VccOpenResultVo;
import cn.qg.qaplatform.entity.zdata.VccUserEntity;
import cn.qg.qaplatform.utils.page.PageResult;
import com.alibaba.fastjson.JSONObject;


/**
 * Vcc捞数据和造数据
 * @author libo
 */
public interface VccDataService {
    /**
     * vcc造数据
     */
    VccOpenResultVo makeVccUser(String namespace, String phoneNo, String openedChannel, Integer status) throws Exception;

    /**
     * 根据状态批量获取vcc数据
     */
    PageResult getVccData(String namespace, Integer status, Integer pageNum, Integer pageSize);

    /**
     * 根据手机号获取用户vcc状态
     */
    VccUserEntity queryUserVccStatus(String namespace, String phoneNo);

    Boolean vccManualRiskControl(String namespace,  String phoneNo, Boolean result, Integer amount);

    JSONObject vccRepayCallback(String namespace, String phoneNo, Integer result);

}
